Skip to main content
PATCH
Update trip

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business

tripId
string<uuid>
required

The UUID of the trip

Body

application/json

All fields are optional. Only provided fields will be updated.

vehicle_id
string<uuid>

The UUID of the vehicle used for this trip

external_id
string | null

An optional external identifier for the trip

distance
string

The distance traveled in miles, as a decimal string

trip_date
string<date>

The date of the trip (YYYY-MM-DD)

purpose
enum<string>

The purpose classification of the trip

Available options:
UNREVIEWED,
BUSINESS,
PERSONAL
start_address
string | null

The starting address of the trip

end_address
string | null

The ending address of the trip

description
string | null

An optional description or notes about the trip

Response

The updated trip

id
string<uuid>
required

The unique identifier of the trip

vehicle
object
required

The vehicle used for this trip

distance
string
required

The distance traveled in miles, as a decimal string

trip_date
string<date>
required

The date of the trip (YYYY-MM-DD)

purpose
enum<string>
required

The purpose classification of the trip

Available options:
UNREVIEWED,
BUSINESS,
PERSONAL
mileage_deduction_rate
string
required

The IRS standard mileage rate in cents per mile applicable for the trip date

estimated_deduction
integer<int64>
required

The estimated tax deduction in cents. Only calculated for BUSINESS trips; returns 0 for PERSONAL and UNREVIEWED trips.

created_at
string<date-time>
required

Timestamp when the trip was created

updated_at
string<date-time>
required

Timestamp when the trip was last updated

external_id
string | null

An optional external identifier for the trip, used for idempotency

start_address
string | null

The starting address of the trip

end_address
string | null

The ending address of the trip

description
string | null

An optional description or notes about the trip

deleted_at
string<date-time> | null

Timestamp when the trip was deleted, or null if not deleted